Package org.h2.mvstore.tx

# Class TransactionStore.Change

java.lang.Object
org.h2.mvstore.tx.TransactionStore.Change

Enclosing class:
  TransactionStore

public static class TransactionStore.Change extends Object
A change in a map.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Object`
`key`
The key.
`final String`
`mapName`
The name of the map where the change occurred.
`final Object`
`value`
The value.

## Constructor Summary

Constructors
Constructor
Description
`Change(String mapName, Object key, Object value)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mapName

public final String mapName
The name of the map where the change occurred.

### key

public final Object key
The key.

### value

public final Object value
The value.

## Constructor Details

### Change

public Change(String mapName, Object key, Object value)